| Disk ARchive 2.6.11 Full featured and portable backup and archiving tool

Enumerations | Functions
libdar::compile_time Namespace Reference
API

nested namespace inside libdar More...

## Enumerations
enum | endian { big = 'B', little = 'L', error = 'E' }
| type used to return the endian nature of the current system

## Functions
bool | ea () noexcept
| returns whether EA support has been activated at compilation time
bool | largefile () noexcept
| returns whether largefile (>2GiB) support has been activated at compilation time
bool | nodump () noexcept
| returns whether nodump flag support has been activated at compilation time
bool | special_alloc () noexcept
| returns whether special allocation support has been activated at compilation time More...
U_I | bits () noexcept
| returns the internal integer type used More...
bool | thread_safe () noexcept
| returns whether the current libdar is thread safe
bool | libz () noexcept
| returns whether libdar is dependent on libz and if so has gzip compression/decompression available
bool | libbz2 () noexcept
| returns whether libdar is dependent on libbz2 and if so has bzip2 compression/decompression available
bool | liblzo () noexcept
| returns whether libdar is dependent on liblzo and if so has lzo compression/decompression available
bool | libxz () noexcept
| returns whether libdar is dependent on liblxz/liblzma and if so has xz compression/decompression available
bool | libgcrypt () noexcept
| returns whether libdar is dependent on libgcrypt and if so has strong encryption and hashing features available
bool | furtive_read () noexcept
| returns whether libdar can support furtive read mode when run by privileged user
endian | system_endian () noexcept
| returns the detected integer endian of the system
bool | posix_fadvise () noexcept
| returns true if libdar has support for posix_fadvise activated available
bool | fast_dir () noexcept
| returns whether libdar has been built with speed optimization for last directory
bool | FSA_linux_extX () noexcept
| returns whether libdar has been built with support for linux ext2/3/4 FSA
bool | FSA_birthtime () noexcept
| returns whether libdar has been built with support for HFS+ FSA
bool | microsecond_read () noexcept
| returns whether libdar is able to read timestamps at a microsecond accuracy
bool | microsecond_write () noexcept
| returns whether libdar is able to write timestamps at a microsecond accuracy
bool | symlink_restore_dates () noexcept
| returns whether libdar is able to restore dates of symlinks
bool | public_key_cipher () noexcept
| returns whether public key cipher (relying on gpgme) are available
bool | libthreadar () noexcept
| returns whether libthreadar linking will be done, allowing libdar to span several threads
std::string | libthreadar_version () noexcept
| return libthreadar version or empty string libthreadar is not available
bool | librsync () noexcept
| returns whether delta compression is available and delta diff stuff with it
bool | remote_repository () noexcept
| returns whether remote repository feature is available

## Detailed Description

nested namespace inside libdar

it contains one routine per feature that can be activated or disabled at compile time this is to replace the "libdar::get_compile_time_feature" function that cannot be updates without breaking backward compatibility

## Function Documentation

## ◆ bits()

U_I libdar::compile_time::bits | ( |  | ) |
| noexcept

returns the internal integer type used

Note
  zero is returned if infinint type is used

## ◆ special_alloc()

bool libdar::compile_time::special_alloc | ( |  | ) |
| noexcept

returns whether special allocation support has been activated at compilation time

special allocation support brings from a tiny to an important improvement in execution time, depending on the number of small files involved in the operation